curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/web/generate_xgnarly_and_xbogus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.tiktok.com/api/search/user/full/?WebIdLastTime=1756087650&aid=1988&app_language=zh-Hans&app_name=tiktok_web&browser_language=zh-CN&browser_name=Mozilla&browser_online=true&browser_platform=MacIntel&browser_version=5.0%20%28Macintosh%3B%20Intel%20Mac%20OS%20X%2010_15_7%29%20AppleWebKit%2F537.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome%2F139.0.0.0%20Safari%2F537.36&channel=tiktok_web&cookie_enabled=true&cursor=10&data_collection_enabled=false&device_id=7542339104672111234&device_platform=web_pc&focus_state=true&from_page=search&history_len=3&is_fullscreen=true&is_page_visible=true&keyword=musk&odinId=7542338997269211234&os=mac&priority_region&referer®ion=US&screen_height=967&screen_width=1496&search_id&tz_name=America%2FLos_Angeles&user_is_login=false&web_search_code=%7B%22tiktok%22%3A%7B%22client_params_x%22%3A%7B%22search_engine%22%3A%7B%22ies_mt_user_live_video_card_use_libra%22%3A1%2C%22mt_search_general_user_live_card%22%3A1%7D%7D%2C%22search_server%22%3A%7B%7D%7D%7D&webcast_language=zh-Hans",
"body": ""
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/web/generate_xgnarly_and_xbogus"
payload = {
"url": "https://www.tiktok.com/api/search/user/full/?WebIdLastTime=1756087650&aid=1988&app_language=zh-Hans&app_name=tiktok_web&browser_language=zh-CN&browser_name=Mozilla&browser_online=true&browser_platform=MacIntel&browser_version=5.0%20%28Macintosh%3B%20Intel%20Mac%20OS%20X%2010_15_7%29%20AppleWebKit%2F537.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome%2F139.0.0.0%20Safari%2F537.36&channel=tiktok_web&cookie_enabled=true&cursor=10&data_collection_enabled=false&device_id=7542339104672111234&device_platform=web_pc&focus_state=true&from_page=search&history_len=3&is_fullscreen=true&is_page_visible=true&keyword=musk&odinId=7542338997269211234&os=mac&priority_region&referer®ion=US&screen_height=967&screen_width=1496&search_id&tz_name=America%2FLos_Angeles&user_is_login=false&web_search_code=%7B%22tiktok%22%3A%7B%22client_params_x%22%3A%7B%22search_engine%22%3A%7B%22ies_mt_user_live_video_card_use_libra%22%3A1%2C%22mt_search_general_user_live_card%22%3A1%7D%7D%2C%22search_server%22%3A%7B%7D%7D%7D&webcast_language=zh-Hans",
"body": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.tiktok.com/api/search/user/full/?WebIdLastTime=1756087650&aid=1988&app_language=zh-Hans&app_name=tiktok_web&browser_language=zh-CN&browser_name=Mozilla&browser_online=true&browser_platform=MacIntel&browser_version=5.0%20%28Macintosh%3B%20Intel%20Mac%20OS%20X%2010_15_7%29%20AppleWebKit%2F537.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome%2F139.0.0.0%20Safari%2F537.36&channel=tiktok_web&cookie_enabled=true&cursor=10&data_collection_enabled=false&device_id=7542339104672111234&device_platform=web_pc&focus_state=true&from_page=search&history_len=3&is_fullscreen=true&is_page_visible=true&keyword=musk&odinId=7542338997269211234&os=mac&priority_region&referer®ion=US&screen_height=967&screen_width=1496&search_id&tz_name=America%2FLos_Angeles&user_is_login=false&web_search_code=%7B%22tiktok%22%3A%7B%22client_params_x%22%3A%7B%22search_engine%22%3A%7B%22ies_mt_user_live_video_card_use_libra%22%3A1%2C%22mt_search_general_user_live_card%22%3A1%7D%7D%2C%22search_server%22%3A%7B%7D%7D%7D&webcast_language=zh-Hans',
body: JSON.stringify('')
})
};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/web/generate_xgnarly_and_xbogus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
生成 XGnarly 和 XBogus
生成 XGnarly 和 XBogus
code 为 200 时计费。
示例
curl -X POST "https://api.aisa.one/apis/v1/tikhub/tiktok/web/generate_xgnarly_and_xbogus" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # 请求体结构见下方 schema
授权
AIsa API key. Get yours at https://aisa.one
请求体
包含域名和参数的请求的API URL,不需要进行URL编码 | The requested API URL, no need to URL encode
"https://www.tiktok.com/api/search/user/full/?WebIdLastTime=1756087650&aid=1988&app_language=zh-Hans&app_name=tiktok_web&browser_language=zh-CN&browser_name=Mozilla&browser_online=true&browser_platform=MacIntel&browser_version=5.0%20%28Macintosh%3B%20Intel%20Mac%20OS%20X%2010_15_7%29%20AppleWebKit%2F537.36%20%28KHTML%2C%20like%20Gecko%29%20Chrome%2F139.0.0.0%20Safari%2F537.36&channel=tiktok_web&cookie_enabled=true&cursor=10&data_collection_enabled=false&device_id=7542339104672111234&device_platform=web_pc&focus_state=true&from_page=search&history_len=3&is_fullscreen=true&is_page_visible=true&keyword=musk&odinId=7542338997269211234&os=mac&priority_region&referer®ion=US&screen_height=967&screen_width=1496&search_id&tz_name=America%2FLos_Angeles&user_is_login=false&web_search_code=%7B%22tiktok%22%3A%7B%22client_params_x%22%3A%7B%22search_engine%22%3A%7B%22ies_mt_user_live_video_card_use_libra%22%3A1%2C%22mt_search_general_user_live_card%22%3A1%7D%7D%2C%22search_server%22%3A%7B%7D%7D%7D&webcast_language=zh-Hans"
请求的API参数,适用于POST请求 | The API parameters of the request, applicable for POST requests
响应
Successful response. 以实际调用为准 / Response structure varies; refer to the actual API response.